### Method

# Camel StoreDB get_int_key

since: 3.58

#### Declaration [src]

    gint
    camel_store_db_get_int_key (
      CamelStoreDB* self,
      const gchar* key,
      gint def_value
    )

#### Description [src]

Reads an integer value for the `key`. If such does not exists, the `def_value` is returned.

Available since: 3.58

#### Parameters

`key`

  Type: `const gchar*`

  A user key to read.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`def_value`

  Type: `gint`

  A default value to return, when the key not stored yet.

#### Return value

Type: `gint`

An integer value of the `key`, or `def_value` when does not exist or any other error occurred

See also camel_store_db_set_int_key(), camel_store_db_dup_string_key().